@import url('https://fontshare.com[]=general-sans@300,400,500,600,700&display=swap');

:root {
  --grey-900: #111111;
  --grey-800: #222222;
  --grey-700: #333333;
  --white: #ffffff;
  --offwhite: #fffaf2;
  --border: #e5e7eb;
}

body {
  background: var(--white);
  font-family: "General Sans";
}

h1, h2, h3, h4, h5, h6 {
  color: var(--grey-900);
  margin: 0;
  font-weight: 600;
}

a {
  color: var(--grey-900) !important;
  text-decoration: none !important;
}

a:hover {
  text-decoration: underline !important;
}

.container-fluid {
  width: 100%;
  max-width: 1260px;
}

header {
  background-color: var(--white);
  border: none;
  box-shadow: none;
}

#mainNav {
  padding: 36px 0;
}

#mainNav .container-fluid {
  display: flex;
  justify-content: space-between;
}

#mainNav .container-fluid:before,
#mainNav .container-fluid:after {
  content: none;
}

.navbar .brand {
  padding: 0;
}

.navbar .brand img {
  height: 60px;
  width: auto;
}

.navbar .navbar-inner {
  background-color: transparent;
  border: none;
  box-shadow: none;
}

.navbar .nav {
  position: relative;
  display: flex;
}

.navbar .nav > li > a {
  color: var(--grey-900);
  font-size: 18px;
  font-weight: 500;
  padding: 12px 16px;
}

.navbar .nav > li > a:hover {
  color: var(--grey-900);
  text-decoration: underline;
  text-decoration-thickness: 2px;
}

.navbar .nav > li.active > a {
  color: var(--grey-900) !important;
  text-decoration: underline !important;
  text-decoration-thickness: 2px !important;
}

.navbar .nav > li.active > a:hover {
  color: var(--grey-900);
}

.navbar .nav > li.active > a > .caret {
  display: none;
}

/* =========================
   4. SEARCH
========================= */

#docsSearch {
  background-color: var(--grey-900);
  color: var(--white);
  padding: 120px 0;
}

#docsSearch h1 {
  font-size: 60px;
  line-height: 130%;
  font-weight: 600;
  color: var(--white);
  margin-bottom: 48px;
}

#searchBar {
  padding: 0;
}

#searchBar .search-query {
  height: 68px;
}

#searchBar .search-query:focus {
  border: 1px solid blue;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}

#searchBar button {
  height: 68px;
  border: 4px solid var(--white);
  border-radius: 8px;
  background: var(--grey-900);
  font-weight: 600;
  top: 0;
}

#searchBar button:hover {
  background: #222;
}

input[type="search"],
input[type="text"] {
  border-radius: 12px;
  border: 4px solid var(--white);
  padding: 12px 16px;
  width: 100%;
  max-width: 600px;
}

input:focus {
  outline: none;
  border-color: var(--white);
}

/* =========================
   5. CATEGORY CARDS (homepagina blokken)
========================= */

#contentArea {
  display: flex;
  flex-flow: column;
  gap: 60px;
}

.collection-category h2 a {
  color: var(--grey-900);

  /* H5 */
  font-family: "General Sans";
  font-size: var(--Font-size-H5, 32px);
  font-style: normal;
  font-weight: 600;
  line-height: 140%; /* 44.8px */
}

.collection-category .category-list {
  display: inline-grid;
  row-gap: 24px;
  column-gap: 24px;
  align-self: stretch;
  grid-template-rows: repeat(2, fit-content(100%));
  grid-template-columns: repeat(3, minmax(0, 1fr));
  grid-auto-flow: row;
  margin: 0;
}

.category-list .category,
.category-list.two-col .category {
  display: flex;
  padding: 32px;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  align-self: stretch;
  grid-row: span 1;
  grid-column: span 1;
  justify-self: stretch;
  border-radius: 16px;
  border: 3px solid var(--gray-900, #111);
  background: var(--white, #fff);
  box-shadow: 0 0 0 0 #111;
  width: inherit;
  margin: 0;
  text-align: left;
}

.category-list .category p {
  color: #222;
  align-self: stretch;
  color: var(--gray-800, #222);

  /* Paragraph-S */
  font-family: "General Sans";
  font-size: var(--Font-size-Paragraph-S, 20px);
  font-style: normal;
  font-weight: 500;
  line-height: 170%; /* 34px */
}

.category-list .category h3 {
  align-self: stretch;
  color: var(--gray-800, #222);
  margin-bottom: 16px;

  /* H6 */
  font-family: "General Sans";
  font-size: var(--Font-size-H6, 24px);
  font-style: normal;
  font-weight: 600;
  line-height: 140%; /* 33.6px */
}

.category-list .category .article-count {
  color: var(--gray-800, #222);
  font-family: "General Sans";
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 170%; /* 34px */
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: auto;
  text-underline-offset: auto;
  text-underline-position: from-font;
}

.category-list .category:hover .article-count {
  color: var(--grey-800);
  text-decoration-thickness: 3px;
}

.category-list .category:hover {
  border-radius: 16px;
  border: 3px solid var(--gray-900, #111);
  background: var(--white, #fff);
  box-shadow: 0 4px 0 0 #111;
}

/* =========================
   7. CATEGORY PAGE
========================= */

#main-content .contentWrapper {
  border-radius: 16px;
  border: 4px solid var(--gray-900, #111);
  padding: 48px;
}

#main-content .contentWrapper h1 {
  font-weight: 600;
}

#main-content .contentWrapper .articleList li a {
  font-family: "General Sans";
  font-size: var(--Font-size-Paragraph-S, 20px);
  font-style: normal;
  font-weight: 500;
  line-height: 170%; /* 34px */
}

#main-content .contentWrapper .articleList li a:hover {
  color: var(--grey-900);
  text-decoration-thickness: 2px;
}

#main-content .contentWrapper .articleList li a .icon-article-doc:before,
.related ul li a .icon-article-doc:before {
  color: var(--grey-900);
}

#sidebar h3,
.related h3 {
  color: var(--grey-900);
  font-size: 14px;
  letter-spacing: 3%;
}

#sidebar ul.nav-list a,
.related ul a {
  font-size: 16px;
  font-weight: 500;
  color: var(--grey-700) !important;
}

#sidebar ul.nav-list li.active a {
  font-weight: 600;
}

#sidebar ul.nav-list li.active a:hover {
  font-weight: 600;
}

#sidebar form .search-query {
  height: 48px;
  border: 2px solid var(--grey-900);
  color: var(--grey-900);
  border-radius: 6px;
}

#searchBar.sm button {
  height: 48px;
}

#searchBar.sm button .icon-search {
  color: var(--grey-900);
}

/* =========================
   7. ARTICLE PAGE
========================= */

#fullArticle .title {
  margin-bottom: 32px;
}

#fullArticle,
#fullArticle p,
#fullArticle ul,
#fullArticle ol,
#fullArticle li,
#fullArticle div,
#fullArticle blockquote,
#fullArticle dd,
#fullArticle table {
  color: var(--gray-800, #222);
  font-size: var(--Font-size-Paragraph-S, 16px);
  font-style: normal;
  font-weight: 500;
  line-height: 170%; /* 27.2px */
}

#fulArticle p,
#fullArticle ul,
#fullArticle ol, {
  margin-bottom: 48px;
}

#fullArticle strong {
  color: var(--grey-800);
}

.related {
  margin-top: 48px;
  border-radius: 16px;
  border: 4px solid var(--gray-900, #111);
  padding: 48px;
}

.articleRatings {
  border: none;
  border-top: 2px solid var(--grey-900);
  border-bottom: 2px solid var(--grey-900);
  border-radius: 0;
  box-shadow: none;
  color: var(--grey-800);
  font-weight: 500;
}

.articleFoot i,
.articleFoot p,
.articleFoot time {
  color: var(--grey-700);
}

.articleFoot p,
.articleFoot time {
  font-family: "General Sans";
  font-weight: 500;
  font-size: 14px;
}


/* =========================
   8. CODE BLOKKEN
========================= */

pre {
  background: var(--grey-900);
  color: var(--white);
  padding: 16px;
  border-radius: 8px;
  overflow-x: auto;
}

code {
  background: var(--offwhite);
  padding: 3px 6px;
  border-radius: 6px;
}

/* =========================
   9. FOOTER
========================= */

footer {
  margin-top: 60px;
  padding: 30px 20px;
  background: var(--white);
  color: var(--grey-900);
  text-align: center;
  border-top: 4px solid var(--grey-900);
  font-weight: 500;
}

footer p,
footer p a {
  font-size: 16px;
  color: var(--grey-900);
  text-align: center;
}

footer p a:hover {
  text-decoration: underline;
  text-decoration-thickness: 2px;
  color: var(--grey-900);
}
